(define faz-conjunto
  (lambda()
    '()))                        

(define elemento-do-conjunto?
  (lambda (obj conj)
    (cond ((null? conj) #f)
          ((equal? obj (car conj)) #t)
          (else (elemento-do-conjunto? obj (cdr conj))))))

(define junta-elemento-a-conjunto
  (lambda (obj conj)
    (if (elemento-do-conjunto? obj conj)
        conj
        (cons obj conj))))

(define uniao-de-conjuntos
  (lambda (conj1 conj2)
    (cond ((null? conj1) conj2)
          ((elemento-do-conjunto? (car conj1) conj2)
           (uniao-de-conjuntos (cdr conj1) conj2))
          (else
           (cons (car conj1)
                 (uniao-de-conjuntos (cdr conj1) conj2))))))

(define interseccao-de-conjuntos
  (lambda (conj1 conj2)
    (cond ((or
            (null? conj1)
            (null? conj2))
           '())
          ((elemento-do-conjunto? (car conj1) conj2)
           (cons (car conj1)
                 (interseccao-de-conjuntos (cdr conj1) conj2)))
          (else
           (interseccao-de-conjuntos (cdr conj1) conj2)))))